---
title: VotePowers Guide
sidebar_label: VotePowers
---

VotePowers let you vote what features we work on. You can see the current list and get VotePowers on the [Wokwi Feature Roadmap page](https://wokwi.com/features).

## How to get VotePowers?

There are three ways to get VotePowers:

1. Purchase VotePowers from the [Wokwi Features page](https://wokwi.com/features). The price is $1 USD for one VotePower.
2. Join the [Wokwi club](https://wokwi.com/club) for a monthly contribution. You'll get two VotePowers for every USD that you spend every month.
3. Occasionally, we'll give away VotePowers for users who contribute to Wokwi or create outstanding projects on Wokwi. To keep things fair for the users who financially support Wokwi, we will give away at most 100 VotePowers in a single calendar month.

You can see your VotePower balance at the top of the [features page](https://wokwi.com/features). In case you don't have VotePowers, you'll see a purple button saying _Get VotePowers_.

## Voting for features

The list of open features for voting is available at https://wokwi.com/features.
You can spend any amount of VotePowers on a single feature.

After voting for a feature, you are encouraged to subscribe to GitHub notifications for the relevant issue. This will ensure you'll get updates about the progress of the feature, and can provide feedback about the implementation.

The number of VotePowers determines the priority of each feature. We review the list daily, and work on the feature with the most VotePowers.

In case we are blocked from working on the top feature (e.g. waiting for a 3rd party, waiting for feedback on a prototype, etc.), we'll start working on the next features in the list.

Occasionally, we'll take a break from working on the top feature, and implement smaller features, according to priority. Doing so helps smaller features to make it through, without queuing for a long time behind the big features.

### Changing your mind

If you voted for an issue and changed your mind, you can ask us to undo your vote. You can undo the vote only if we haven't started working on the issue.

If you purchased VotePowers and changed your mind, you can ask for a refund within 24 hours from the time of purchase, given that you haven't used the VotePowers yet.

To make changes, please reach out on [discord](https://wokwi.com/discord).

### Cancelling features

We may cancel a feature that hasn't received any votes for 60 days and close the corresponding GitHub issue. This helps to reduce the clutter in the feature list.

If you voted for a feature that has been cancelled for whatever reason, you'll automatically get back the VotePowers that you spent on it.

### Seeing your votes

You can see your personal vote history in the [VotePowers Transaction Log page](https://wokwi.com/features/history). If you don't see any transactions in this page, it means that you haven't voted for any feature yet.

## Suggesting new features

Everyone can suggest features by opening [a request on GitHub](https://github.com/wokwi/wokwi-features/issues/new?labels=enhancement&template=feature_request.md&title=). We review all suggestions. If a suggestion is a good fit for Wokwi, we'll open it for vote by adding the "open for vote" label on GitHub, and it'll appear in the voting page.

