---
slug: /
title: Welcome to Wokwi!
---

import { LEDBullet } from '@site/src/components/LEDBullet'

Wokwi is an online Electronics simulator. You can use it to simulate Arduino, ESP32, and many other popular boards, parts and sensors.

Here are some quick examples of things you can make with Wokwi:

- [Arduino Uno "Hello World"](https://wokwi.com/projects/322062421191557714)
- [Blink an LED on ESP32](https://wokwi.com/projects/305566932847821378)
- [Monitor the weather on ATtiny85](https://wokwi.com/projects/292900020514980360)
- [Control 32 Servos with Arduino Mega](https://wokwi.com/projects/305336312628511297)
- [Animate an LED Matrix with FastLED](https://wokwi.com/projects/320579687608746578)
- [7 Segment Counter with MicroPython on ESP32](https://wokwi.com/projects/300210834979684872)

## Why Wokwi?

<LEDBullet title="Start right now">
  No waiting for components, or downloading large software. Your browser has everything you need to start coding your next IoT project in seconds.
</LEDBullet>

<LEDBullet title="Mistakes are okay" color="green">
  You can't destroy the virtual hardware. Trust us, we tried. So don't worry about frying your precious components. And unlike real  hardware, you can always undo.
</LEDBullet>

<LEDBullet title="Easy to get help and feedback" color="yellow">
  Sharing a link to your Wokwi project is all you need.
</LEDBullet>

<LEDBullet title="Gain confidence in your code" color="blue">
  Separate hardware and software issues. 
</LEDBullet>

<LEDBullet title="Unlimited hardware" color="orange">
  No need to scavenge parts from old projects. Use as many parts as you need, without worrying about project price and stock.
</LEDBullet>

<LEDBullet title="Maker-friendly community" color="purple">
  A place for you to share your projects, ask for help, and get inspiration.<br/>
  <a href="https://wokwi.com/discord">Wokwi Discord Community</a>
</LEDBullet>

## Unique Features

- [WiFi simulation](guides/esp32-wifi) - Connect your simulated project to the internet. You can use MQTT, HTTP, NTP, and many other network protocols.
- [Virtual Logic Analyzer](guides/logic-analyzer) - Capture digital signals in your simulation (e.g. UART, I2C, SPI) and analyze them on your computer.
- [Advanced debugging with GDB](gdb-debugging) - Powerful Arduino and Raspberry Pi Pico debugger for advanced users.
- [SD card simulation](parts/wokwi-microsd-card) - Store and retrieve files and directories from your code. [Club](getting-started/wokwi-club) members can also upload binary files (such as images)

## How much does it cost?

Wokwi is free to use. Professional and frequent users can [join the Club](https://wokwi.com/club), influence our [development roadmap](https://wokwi.com/features), and get access to [advanced features](getting-started/wokwi-club).
